{-
 *  Programmer:	Piotr Borek
 *  E-mail:     piotrborek@op.pl
 *  Copyright 2015 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}

module Coin.UI.Builder.GtkUIAttributes where

import qualified Graphics.UI.Gtk as Gtk

data Attrs = EmptyAttrs
           | WidgetAttrs    [Gtk.AttrOp Gtk.Widget]
           | WindowAttrs    [Gtk.AttrOp Gtk.Window]
           | ButtonAttrs    [Gtk.AttrOp Gtk.Button]
           | LabelAttrs     [Gtk.AttrOp Gtk.Label]
           | FrameAttrs     [Gtk.AttrOp Gtk.Frame]
           | ArrowAttrs     [Gtk.AttrOp Gtk.Arrow]
           | EntryAttrs     [Gtk.AttrOp Gtk.Entry]
           | GridAttrs      [Gtk.AttrOp Gtk.Grid]
           | ContainerAttrs [Gtk.AttrOp Gtk.Container]

gridColumnSpacing :: Gtk.GridClass self => Gtk.Attr self Int
gridColumnSpacing = Gtk.newAttr Gtk.gridGetColumnSpacing Gtk.gridSetColumnSpacing

gridRowSpacing :: Gtk.GridClass self => Gtk.Attr self Int
gridRowSpacing = Gtk.newAttr Gtk.gridGetRowSpacing Gtk.gridSetRowSpacing

gridColumnHomogeneous :: Gtk.GridClass self => Gtk.Attr self Bool
gridColumnHomogeneous = Gtk.newAttr Gtk.gridGetColumnHomogeneous Gtk.gridSetColumnHomogeneous

gridRowHomogeneous :: Gtk.GridClass self => Gtk.Attr self Bool
gridRowHomogeneous = Gtk.newAttr Gtk.gridGetRowHomogeneous Gtk.gridSetRowHomogeneous
